Bug 504207 - CVE-2009-0688 cyrus-imapd uses sasl_encode64() improperly
Summary: CVE-2009-0688 cyrus-imapd uses sasl_encode64() improperly
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,source=redhat,report...
Depends On: 505425 505426 505427 505428
Blocks: CVE-2009-0688
TreeView+ depends on / blocked
 
Reported: 2009-06-04 19:11 UTC by Vincent Danen
Modified: 2019-06-08 12:46 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-29 09:17:15 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:1116 normal SHIPPED_LIVE Important: cyrus-imapd security update 2009-06-18 17:34:54 UTC

Description Vincent Danen 2009-06-04 19:11:03 UTC
An issue was reported in how cyrus-sasl did not reliably terminate its output from the sasl_encode64() function.  During an audit of programs that use sasl_encode64(), it was found that cyrus-imapd just allocates a large output buffer without any appropriate checks against the size of the input buffer.  The strings in question are not used for anything odd; they are simply copied elsewhere.  This means that we are going to see a crash, leaking some memory to the server, or auth failures.

More information on the issue as originally reported against cyrus-sasl (CVE-2009-0688) is available in bug #487251.

Comment 20 errata-xmlrpc 2009-06-18 17:35:10 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2009:1116 https://rhn.redhat.com/errata/RHSA-2009-1116.html


Note You need to log in before you can comment on or make changes to this bug.